Bug 203410 - multimedia/libvpx: bring more options used by Firefox
Summary: multimedia/libvpx: bring more options used by Firefox
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2015-09-28 11:39 UTC by Jan Beich
Modified: 2015-11-17 00:36 UTC (History)
0 users

See Also:


Attachments
v1 + vuxml (2.88 KB, patch)
2015-09-28 11:39 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-09-28 11:39:20 UTC
Created attachment 161484 [details]
v1 + vuxml

Bundled libvpx in Firefox enables some non-default options. Let's add them as port options, especially since --size-limit fixes CVE-2015-4506. No ABI impact.

        configure = ['../../configure', '--target=%s' % target,
            '--disable-examples', '--disable-install-docs',
            '--enable-multi-res-encoding',
            '--size-limit=4000x3000'
        ]

https://dxr.mozilla.org/mozilla-central/source/media/libvpx/update.py#400
https://hg.mozilla.org/releases/mozilla-esr38/rev/1c57c324c353

poudriere bulk -t logs:
93i386 - http://sprunge.us/MXdf
93amd64 - http://sprunge.us/UeTR
102amd64 - http://sprunge.us/ZGYA
101i386 - http://sprunge.us/UMbI
Comment 1 commit-hook freebsd_committer 2015-11-10 22:25:08 UTC
A commit references this bug:

Author: jbeich
Date: Tue Nov 10 22:24:48 UTC 2015
New revision: 401217
URL: https://svnweb.freebsd.org/changeset/ports/401217

Log:
  multimedia/libvpx: bring more Chromium defaults

  - Add SIZE_LIMIT to work around CVE-2015-4506
  - Add MULTIRES and extend POSTPROC
  - Sort options

  PR:		203410
  Approved by:	maintainer timeout (6 weeks)
  MFH:		2015Q4
  Security:	6ca7eddd-d436-486a-b169-b948436bcf14

Changes:
  head/multimedia/libvpx/Makefile
Comment 2 commit-hook freebsd_committer 2015-11-10 22:27:10 UTC
A commit references this bug:

Author: jbeich
Date: Tue Nov 10 22:26:13 UTC 2015
New revision: 401218
URL: https://svnweb.freebsd.org/changeset/ports/401218

Log:
  Document MFSA 2015-101 affects multimedia/libvpx as well

  PR:		203410

Changes:
  head/security/vuxml/vuln.xml
Comment 3 commit-hook freebsd_committer 2015-11-17 00:36:46 UTC
A commit references this bug:

Author: jbeich
Date: Tue Nov 17 00:36:12 UTC 2015
New revision: 401794
URL: https://svnweb.freebsd.org/changeset/ports/401794

Log:
  MFH: r401217

  multimedia/libvpx: bring more Chromium defaults

  - Add SIZE_LIMIT to work around CVE-2015-4506
  - Add MULTIRES and extend POSTPROC
  - Sort options

  PR:		203410
  Approved by:	maintainer timeout (6 weeks)
  Approved by:	ports-secteam (feld)
  Security:	6ca7eddd-d436-486a-b169-b948436bcf14

Changes:
_U  branches/2015Q4/
  branches/2015Q4/multimedia/libvpx/Makefile